Subject: Re: [PATCH] netlink: add NETLINK_BROADCAST_ERROR socket option

From: Patrick McHardy <[email-masked]>
Date: Wed, 18 Feb 2009 12:43:36 +0100

Pablo Neira Ayuso wrote:
> This patch adds NETLINK_BROADCAST_ERROR which is a netlink
> socket option that the listener can set to make netlink_broadcast()
> return errors in the delivery to the caller. This option is useful
> if the caller of netlink_broadcast() do something with the result
> of the message delivery, like in ctnetlink where it drops a network
> packet if the event delivery failed, this is used to enable reliable
> logging and state-synchronization. If this socket option is not set,
> netlink_broadcast() only reports ESRCH errors and silently ignore
> ENOBUFS errors, which is what most netlink_broadcast() callers
> should do.
> 
> This socket option is based on a suggestion from Patrick McHardy.
> Patrick McHardy can exchange this patch for a beer from me ;).

I'd accept that offer, but it needs to go through Dave :)
Anyways, the patch looks good.

Acked-by: Patrick McHardy <[email-masked]>